Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg
Class FileRef

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.pf.registry.ItemReference
              de.grogra.rgg.FileRef

All Implemented Interfaces:
  Manageable, Shareable

    public final class FileRef

extends ItemReference

Nested Class Summary
`static class` | `FileRef.Type`

Field Summary
`static FileRef.Type` | `$TYPE`

Fields inherited from class de.grogra.pf.registry.ItemReference
`item, itemResolved, name$FIELD, object, objectResolved`

Constructor Summary
`FileRef(java.lang.String name)`

Method Summary
`IOFlavor` | `getFlavor()`
`java.io.InputStream` | `getInputStream()`
`ManageableType` | `getManageableType()`
`MimeType` | `getMimeType()`
`java.io.OutputStream` | `getOutputStream(boolean append)`
`java.io.Reader` | `getReader()`
`java.io.Writer` | `getWriter(boolean append)`
`FileSource` | `resolve()`

Methods inherited from class de.grogra.pf.registry.ItemReference
`createItem, equals, getName, hashCode, resolveItem, resolveObject`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final FileRef.Type $TYPE

Constructor Detail

### FileRef

    public FileRef(java.lang.String name)

Method Detail

### getFlavor

    public IOFlavor getFlavor()

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getManageableType

    public ManageableType getManageableType()

### getMimeType

    public MimeType getMimeType()

### getOutputStream

    public java.io.OutputStream getOutputStream(boolean append)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getReader

    public java.io.Reader getReader()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getWriter

    public java.io.Writer getWriter(boolean append)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### resolve

    public FileSource resolve()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD